body{
    margin:0;
    background:#222;
    color:white;
    font-family:Arial, Helvetica, sans-serif;
}

.header{

    width:100%;
    height:40px;

    display:flex;
    align-items:center;
    justify-content:space-between;

    padding:0 25px;

    background:#2d2d2d;

    box-sizing:border-box;

    border-bottom:1px solid #555;
}

.header h1{

    flex:1;
    text-align:center;

    margin:0;

    font-size:24px;
}

.icon{
    background:none;
    border:none;
    padding-bottom:20px;
    color:white;

    font-size:24px;

    cursor:pointer;
}

.header-space{

    width:34px;

}
.content{

    max-width:500px;

    margin:10px auto;

    display:flex;
    flex-direction:column;

    align-items:center;

}

h2{
    padding: 1px ;
    margin: 1px;
}

button {
    padding: 12px ;
    font-size: 10px;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    margin-top: 10px;
}

#btnAskNum {
    padding: 8px ;
    font-size: 75%;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    margin-top: 6px;
}

button:hover {
    opacity: 0.9;
}

.buttons-content{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
}



#currentNumberBtn {
     width: 35px;
    height: 35px;

    display: flex;
    justify-content: center;
    align-items: center;
    justify-self:center;

    background: #222;

    border: 2px solid #22c55e;
    border-radius: 8px;

    color: #22c55e;

    font-size: 12px;
    font-weight: bold;

    cursor: pointer;

    transition: all .2s ease;
}

#btnHint{

    width:35px;
    height:35px;

     border: 2px;
    border-radius: 8px;
 display: flex;
    justify-content: center;
    align-items: center;
    background:#f4c542;
    color:#222;

    font-size:12px;

    cursor:pointer;

    transition:all .2s ease;
    justify-self:start;

    margin-left:15px;
    position: absolute;
    left: calc(50% + 10px); /* 70px a la derecha del centro */

}

#btnHint:disabled{

    background:#555;
    color:#999;

    cursor:default;

    transform:none;

}


#list{
    display: flex;
    flex-direction: column;
    gap: 1px;

    align-items: center;
    margin-right: 155px;
}

.row {
    display: flex;
    align-items: center;
}

.index {
    padding-top: 2px;
    width: 10px;
    height: 15px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-right: 10px;
    margin-top: 0px;
    font-weight: bold;
}

.box {

    width: 35px;
    height: 35px;

    display: flex;
    justify-content: center;
    align-items: center;

    background: #222;

    border: 2px solid #22c55e;
    border-radius: 8px;

    color: #22c55e;

    font-size: 12px;
    font-weight: bold;

    cursor: pointer;

    transition: all .2s ease;
    margin-top: 2px;
}

.box:hover {

    background: #22c55e;
    color: white;

    transform: scale(1.05);

}

.dialogVictoria{

    border:none;

    padding:0;

    background:transparent;

}


.modal-content{

    width:500px;

    max-width:95vw;

    max-height:90vh;

    overflow-y:auto;

    background:#222;

    color:white;

    padding:15px;

    border-radius:15px;

    text-align:center;

    box-shadow:0 10px 35px rgba(0,0,0,.5);

    box-sizing:border-box;

}
#resultTable{

    width:100%;

    border-collapse:collapse;

    table-layout:fixed;
}

#resultTable th,
#resultTable td{

    width:33%;

    padding: 4px;

    text-align:center;

    font-size:10px;
}

.btnClose{
    padding: 12px ;
    font-size: 10px;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    margin-top: 10px;
}





.title{

    font-size:14px;

    color:#ccc;

}

dialog{

    border:none;

    border-radius:15px;

    padding:0;

    background:rgba(34,34,34,.95);

    color:white;

}

dialog::backdrop{

    background:rgba(0,0,0,0);

    animation:fondo .35s forwards;

}

dialog[open]{

    animation:caer .35s ease-out;

}
@keyframes caer{

    0%{

        opacity:0;
        transform:translateY(-80px);

    }

    70%{

        opacity:1;
        transform:translateY(10px);

    }

    100%{

        opacity:1;
        transform:translateY(0);

    }

}

@keyframes fondo{

    from{

        background:rgba(0,0,0,0);

    }

    to{

        background:rgba(0,0,0,.7);

    }

}


.modal-info{

    width:500px;

    max-width:95vw;

    max-height:90vh;

    overflow-y:auto;

    background:#222;

    color:white;

    padding:15px;

    border-radius:15px;

    text-align:center;

    box-shadow:0 10px 35px rgba(0,0,0,.5);

    box-sizing:border-box;

}

.content-graf{
  width:500px;

    max-width:90vw;

    max-height:90vh;

    overflow-y:auto;

    background:#222;

    color:white;

    padding:15px;

    border-radius:15px;

    text-align:center;

    box-shadow:0 10px 35px rgba(0,0,0,.5);

    box-sizing:border-box;
}
#chart{

    display:flex;

    justify-content:space-between;

    align-items:flex-end;

    height:200px;

    margin-top:10px;

    gap:10px;
}

.column{

    display:flex;

    flex-direction:column;

    align-items:center;

    flex:1;
}

.verticalBar{

    width:20px;

    min-height:5px;

    max-height: 150px;

    background:#4CAF50;

    color:white;

    display:flex;

    justify-content:center;

    align-items:flex-start;

    padding-top:5px;

    border-radius:6px 6px 0 0;

    transition:height .4s;
}

.column span{

    margin-top:8px;

    font-weight:bold;
}

.stats{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:15px;

    margin:25px 0;

}

.stat{

    background:#333;

    border-radius:10px;

    padding:15px;

    text-align:center;

}

.value{

    display:block;

    font-size:30px;

    font-weight:bold;

    color:#4CAF50;

}

#gameCounter{

    width:100%;

    display:flex;
    flex-direction:column;

    justify-content:center;
    align-items:center;

    text-align:center;

}

.hint-container{

    position:relative;

}

#hintMessage{

    position:absolute;

    bottom:60px;

    left:50%;

    transform:translateX(-50%) translateY(10px);

    background:#333;

    color:white;

    padding:8px 12px;

    border-radius:8px;

    font-size:12px;

    white-space:nowrap;

    opacity:0;

    pointer-events:none;

    transition:.3s;

}

#hintMessage.visible{

    opacity:1;

    transform:translateX(-50%) translateY(0);

}

dialog{

    position: relative;

    overflow: visible;

}

.btnCloseDialog{

    position: absolute;

    top: -18px;

    right: -18px;

    width: 38px;
    height: 38px;

    border: none;
    border-radius: 50%;

    background: #444;
    color: white;

    font-size: 20px;
    font-weight: bold;

    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;

    box-shadow: 0 4px 12px rgba(0,0,0,.4);

    transition: .2s;
}

.btnCloseDialog:hover{

    background: #22c55e;

    transform: scale(1.1);

}


.icon{
    margin-bottom: 5px;
    background:none;
    border:none;

    color:white;

    width:40px;
    height:40px;

    display:flex;
    justify-content:center;
    align-items:center;

    cursor:pointer;

    padding:0;

    transition:
        color .2s ease,
        transform .2s ease;

}

.icon:hover{

    color:#22c55e;

    transform:scale(1.05);

}

.icon svg{
    margin-bottom:5px;
    width:30px;
    height:30px;

    stroke:currentColor;

}

.list-container{

    display:flex;

    align-items:stretch;

    justify-content:center;

    gap:18px;

}

.scale{

    display:flex;

    flex-direction:column;

    align-items:center;

    color:#888;

    font-size:12px;

}

.line{
    margin: 4px;
    width:20px;
    height:370px;

    background:#22c55e;
background:linear-gradient(
        to bottom,
        #86efac,
        #22c55e,
        #15803d
    );
    clip-path:polygon(
    50% 0%,
    0% 100%,
    100% 100%
);

}


@media (max-width:768px){

    
#list{
    display: flex;
    flex-direction: column;
    gap: 1px;

    align-items: center;
    margin-right: 155px;
}

.row {
    display: flex;
    align-items: center;
}

.index {
    padding-top: 2px;
    width: 10px;
    height: 15px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-right: 10px;
    margin-top: 0px;
    font-weight: bold;
}

.box {

    width: 45px;
    height: 45px;

    display: flex;
    justify-content: center;
    align-items: center;

    background: #222;

    border: 2px solid #22c55e;
    border-radius: 8px;

    color: #22c55e;

    font-size: 12px;
    font-weight: bold;

    cursor: pointer;

    transition: all .2s ease;
    margin-top: 8px;
}

.line{
    margin: 4px;
    width:20px;
    height:550px;

    background:#22c55e;
background:linear-gradient(
        to bottom,
        #86efac,
        #22c55e,
        #15803d
    );
    clip-path:polygon(
    50% 0%,
    0% 100%,
    100% 100%
);

}

#currentNumberBtn {
     width: 45px;
    height: 45px;

    display: flex;
    justify-content: center;
    align-items: center;
    justify-self:center;

    background: #222;

    border: 2px solid #22c55e;
    border-radius: 8px;

    color: #22c55e;

    font-size: 12px;
    font-weight: bold;

    cursor: pointer;

    transition: all .2s ease;
}

#btnHint{

    width:45px;
    height:45px;

     border: 2px;
    border-radius: 8px;
 display: flex;
    justify-content: center;
    align-items: center;
    background:#f4c542;
    color:#222;

    font-size:12px;

    cursor:pointer;

    transition:all .2s ease;
    justify-self:start;

    margin-left:15px;
    position: absolute;
    left: calc(50% + 10px); /* 70px a la derecha del centro */

}

}